package com.xpx.pojo;

import java.io.Serializable;
import java.util.List;

public class Roles implements Serializable {
    private int roleid;
    private String rolename;
    private List<Menus> menus;

    public Roles() {
    }

    public Roles(int roleid, String rolename, List<Menus> menus) {
        this.roleid = roleid;
        this.rolename = rolename;
        this.menus = menus;
    }

    public int getRoleid() {
        return roleid;
    }

    public void setRoleid(int roleid) {
        this.roleid = roleid;
    }

    public String getRolename() {
        return rolename;
    }

    public void setRolename(String rolename) {
        this.rolename = rolename;
    }

    public List<Menus> getMenus() {
        return menus;
    }

    public void setMenus(List<Menus> menus) {
        this.menus = menus;
    }

    @Override
    public String toString() {
        return "Roles{" +
                "roleid=" + roleid +
                ", rolename='" + rolename + '\'' +
                ", menus=" + menus +
                '}';
    }
}
